net.sf.jasperreports.engine.export.ooxml

## Class XlsxCellHelper

- java.lang.Object
- - net.sf.jasperreports.engine.export.ooxml.BaseHelper
  - - net.sf.jasperreports.engine.export.ooxml.XlsxCellHelper

-     public class XlsxCellHelper
      extends BaseHelper

  Version:
    $Id: XlsxCellHelper.java 6424 2013-08-27 15:41:38Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `jasperReportsContext, writer`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsxCellHelper(JasperReportsContext jasperReportsContext, java.io.Writer writer, XlsxStyleHelper styleHelper)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exportFooter()`
    `void` | `exportHeader(JRExporterGridCell gridCell, int rowIndex, int colIndex)` public XlsxBorderHelper getBorderHelper() { return borderHelper; } /**
    `void` | `exportHeader(JRExporterGridCell gridCell, int rowIndex, int colIndex, TextValue textValue, java.lang.String pattern, java.util.Locale locale, boolean isWrapText, boolean isHidden, boolean isLocked)`
    `static java.lang.String` | `getColumIndexLetter(int colIndex)`
    `static java.lang.String` | `getVerticalAlignment(VerticalAlignEnum verticalAlignment)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.ooxml.BaseHelper

      `close, flush, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XlsxCellHelper

          public XlsxCellHelper(JasperReportsContext jasperReportsContext,
                        java.io.Writer writer,
                        XlsxStyleHelper styleHelper)

  - ### Method Detail

    - #### exportHeader

          public void exportHeader(JRExporterGridCell gridCell,
                          int rowIndex,
                          int colIndex)

      public XlsxBorderHelper getBorderHelper() { return borderHelper; } /**

    - #### exportHeader

          public void exportHeader(JRExporterGridCell gridCell,
                          int rowIndex,
                          int colIndex,
                          TextValue textValue,
                          java.lang.String pattern,
                          java.util.Locale locale,
                          boolean isWrapText,
                          boolean isHidden,
                          boolean isLocked)

    - #### exportFooter

          public void exportFooter()

    - #### getVerticalAlignment

          public static java.lang.String getVerticalAlignment(VerticalAlignEnum verticalAlignment)

    - #### getColumIndexLetter

          public static java.lang.String getColumIndexLetter(int colIndex)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com